List B2B Users

Returns a paginated list of B2B users with optional filters.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

offsetintegerOptional>=0Defaults to 0
The number of items to skip before starting to collect the result set.
limitintegerOptional1-250Defaults to 10
The maximum number of results to return.
companyIdintegerOptional

If included, filters users in the response based on their Company ID as reported by the Server to Server Companies endpoints.

roleslist of enumsOptional
Filters users according to their assigned role ID. This filter is limited to admin (`0`), senior buyer (`1`), and junior buyer (`2`). By default, custom roles are treated as junior buyer, but they can be differentiated in the response data by the `companyRoleId` and `companyRoleName` fields. For more information, see [Company Roles and Permissions](/developer/api-reference/rest/b2b/management/company-roles-and-permissions).
Allowed values:
minModifiedstringOptional
Filters results by the `updatedAt` field, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) later than `minModified`.
maxModifiedstringOptional
Filters results by the `updatedAt` field, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) earlier than `maxModified`.
minCreatedstringOptional
Filters results by the `createdAt` field, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) later than `minCreated`.
maxCreatedstringOptional
Filters results by the `createdAt` field, returning only those with a [Unix timestamp](https://www.unixtimestamp.com/) earlier than `maxCreated`.
emailstringOptionalformat: "email"
Filters users by email address. This field requires an exact match.
channelIdintegerOptional
Filters users by their assigned BigCommerce channel ID.
isIncludeExtraFieldsenumOptional

Indicates whether to include extra fields in the response. A value of 1 indicates they will be included, while a value of 0 indicates they will not.

Allowed values:
qstringOptional
Broader search term for filtering on supported fields. Currently this includes Company, email, and name fields.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
datalist of objects
metaobject

Errors

422
Unprocessable Entity Error